Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 187776 - Xen bridging configuration gets confused by interface aliases in Dom0
Summary: Xen bridging configuration gets confused by interface aliases in Dom0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Martin Jenner
URL: https://www.redhat.com/archives/fedor...
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-04-03 15:53 UTC by Aleksander Adamowski
Modified: 2008-02-26 23:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-26 23:03:12 UTC


Attachments (Terms of Use)

Description Aleksander Adamowski 2006-04-03 15:53:04 UTC
Description of problem:

It seems that if a domain0 system had earlier been used as a plain non-xen
system and had interface aliases configured on eth0 (e.g. eth0:0), then after
switching to dom0 kernel the Xen bridging configuration comes out messed up
until all the aliases are removed and the machine get rebooted.

The characteristic symptom of the problem is that the command "brctl show"
outputs a "Function not implemented" error in the "interfaces" column.

See also this thread:
https://www.redhat.com/archives/fedora-xen/2006-March/msg00094.html

Version-Release number of selected component (if applicable):

kernel 2.6.15-1.2054_FC5xen0, xen-3.0.1-4.

How reproducible:

Always in my case

Steps to Reproduce:
1. Install a simple non-Xen system
2. Add an eth0:0 alias interface and assign an IP address to it
3. Install kernel-xen0 and xen packages
4. Reboot
5. Run "brctl show"
6. Create a guest domain and test its network connectivity (should be none)
  
Actual results:

1. "brctl show" shows an error in place of interfaces list
2. guest domains have no network connectivity

Expected results:

1. "brctl show" runs fine, Xen's bridge configuration is OK
2. guest domains have network connectivity
3. alias interfaces on domain0's eth0 are preserved and work correctly.

Comment 1 Aleksander Adamowski 2006-04-06 16:19:30 UTC
Here's full output from brctl:

# brctl show
bridge name     bridge id               STP enabled     interfaces
xenbr0          8000.000000000000       no               can't get port info:
Function not implemented


Comment 3 Red Hat Bugzilla 2007-07-24 23:39:49 UTC
change QA contact

Comment 4 Chris Lalancette 2008-02-26 23:03:12 UTC
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks


Note You need to log in before you can comment on or make changes to this bug.